## limo 0.2.1-1

=== Makefile ===
# $Id: Makefile,v 1.8 1999/06/15 23:46:58 fraserm Exp $
# $Log: Makefile,v $
# Revision 1.8  1999/06/15 23:46:58  fraserm
# added version
#
# Revision 1.7  1999/05/30 11:34:24  fraserm
# *** empty log message ***
#
# Revision 1.6  1999/05/30 01:08:48  fraserm
# *** empty log message ***
#
# Revision 1.5  1999/05/26 23:52:42  fraserm
# added custom command stuff
#
# Revision 1.4  1999/05/16 19:46:45  fraserm
# added CHANGELOG
#
# Revision 1.3  1999/04/26 01:14:33  fraserm
# added d and D chunks, up to 0.1.1
#
# Revision 1.2  1999/04/24 15:07:15  fraserm
# added manpage to makefile
#
# Revision 1.1  1999/04/20 23:42:40  fraserm
# Initial revision
#

VERSION=0.2.1

CFLAGS=-O -DVERSION=\"$(VERSION)\"
#CFLAGS=-g

# Edited for Debian GNU/Linux
DESTDIR=
INSTALL=$(DESTDIR)/usr/bin
PROGNAME=limo
OTHERPROGNAME=li

SOURCES=$(PROGNAME).h $(PROGNAME).c flist.c fnode.c display.c custom.c
OBJECTS=$(PROGNAME).o flist.o fnode.o display.o custom.o
OTHERS=Makefile $(PROGNAME).1 LICENCE README CHANGELOG
DISTFILES=$(SOURCES) $(OTHERS)

all: $(PROGNAME)

$(PROGNAME).o: $(PROGNAME).c $(PROGNAME).h

flist.o: flist.c $(PROGNAME).h

fnode.o: fnode.c $(PROGNAME).h

display.o: display.c $(PROGNAME).h

custom.o: custom.c $(PROGNAME).h

$(PROGNAME): $(OBJECTS)
	cc $(CFLAGS) -o $(PROGNAME) $(OBJECTS)

install: all $(PROGNAME).1
	cp $(PROGNAME) $(INSTALL)/$(PROGNAME)
	cp $(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
	chmod +x $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
	strip $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
	cp $(PROGNAME).1 $(DESTDIR)/usr/man/man1
	cp $(PROGNAME).1 $(DESTDIR)/usr/man/man1/$(OTHERPROGNAME).1
#	chmod 644 $(DESTDIR)/usr/man/man1/$(PROGNAME).1
#	chmod 644 $(DESTDIR)/usr/man/man1/$(OTHERPROGNAME).1

uninstall:
	rm -f $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME) $(DESTDIR)/usr/man/man8/$(PROGNAME).1

dist: $(PROGNAME)-$(VERSION).tar.gz

$(PROGNAME)-$(VERSION).tar.gz: $(DISTFILES)
	rm -rf $(PROGNAME)-$(VERSION)
	mkdir $(PROGNAME)-$(VERSION)
	cp $(DISTFILES) $(PROGNAME)-$(VERSION)
	tar cvf $(PROGNAME)-$(VERSION).tar $(PROGNAME)-$(VERSION)
	gzip -f9 $(PROGNAME)-$(VERSION).tar
	rm -rf $(PROGNAME)-$(VERSION)

clean:
	rm -f $(OBJECTS) $(PROGNAME) $(PROGNAME)-$(VERSION).tar.gz
