=== debian/changelog ===
limo (0.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Kettner <kk@debian.org>  Wed, 23 Jun 1999 11:35:02 +1000

Local variables:
mode: debian-changelog
End:
