=== debian/control ===
Source: limo
Section: utils
Priority: optional
Maintainer: Klaus Kettner <kk@debian.org>
Standards-Version: 2.5.0

Package: limo
Architecture: any
Depends: ${shlibs:Depends}
Description: Lists files in a custom way
 limo is a replacement for ls with some knobs on. By default, it is
 installed as both limo and as li. It tries to give far more control
 over the output format than ls and has simpler and more straightforward
 (albeit more verbose) options. It also has the -l and -s options which
 behave similarly to those of ls.
