## limo 0.3.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,29 @@
-# $Id: Makefile,v 1.8 1999/06/15 23:46:58 fraserm Exp $
+# $Id: Makefile,v 1.16 2000/01/24 00:37:17 fraserm Exp $
 # $Log: Makefile,v $
+# Revision 1.16  2000/01/24 00:37:17  fraserm
+# *** empty log message ***
+#
+# Revision 1.15  2000/01/23 23:49:46  fraserm
+# applied Cygwin patch from Andre Oliveira da Costa <costa@cade.com.br>
+#
+# Revision 1.14  1999/12/22 01:37:20  fraserm
+# bugfix release
+#
+# Revision 1.13  1999/12/21 02:45:14  fraserm
+# added strip of final executable
+#
+# Revision 1.12  1999/12/21 02:43:05  fraserm
+# changes as per 0.3 in CHANGELOG
+#
+# Revision 1.11  1999/12/14 02:17:45  fraserm
+# debugging off
+#
+# Revision 1.10  1999/12/14 02:06:24  fraserm
+# -> 0.2.3
+#
+# Revision 1.9  1999/07/01 01:40:20  fraserm
+# *** empty log message ***
+#
 # Revision 1.8  1999/06/15 23:46:58  fraserm
 # added version
 #
@@ -25,16 +49,24 @@
 # Initial revision
 #
 
-VERSION=0.2.1
+VERSION=0.3.2
 
 CFLAGS=-O -DVERSION=\"$(VERSION)\"
-#CFLAGS=-g
+#CFLAGS=-g -DVERSION=\"$(VERSION)\"
 
-# Edited for Debian GNU/Linux
-DESTDIR=
-INSTALL=$(DESTDIR)/usr/bin
+# Linux & others
+INSTALL=/usr/local
+# Solaris
+# INSTALL=/opt
+
 PROGNAME=limo
 OTHERPROGNAME=li
+
+# Uncomment EXESUFFIX=.exe below to enable compilation on Cygwin (UNIX
+# layer over Windows)
+#
+EXESUFFIX=
+# EXESUFFIX=.exe
 
 SOURCES=$(PROGNAME).h $(PROGNAME).c flist.c fnode.c display.c custom.c
 OBJECTS=$(PROGNAME).o flist.o fnode.o display.o custom.o
@@ -54,20 +86,18 @@
 custom.o: custom.c $(PROGNAME).h
 
 $(PROGNAME): $(OBJECTS)
-	cc $(CFLAGS) -o $(PROGNAME) $(OBJECTS)
+	$(CC) $(CFLAGS) -o $(PROGNAME) $(OBJECTS)
+	strip $(PROGNAME)$(EXESUFFIX)
 
 install: all $(PROGNAME).1
-	cp $(PROGNAME) $(INSTALL)/$(PROGNAME)
-	cp $(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
-	chmod +x $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
-	strip $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
-	cp $(PROGNAME).1 $(DESTDIR)/usr/man/man1
-	cp $(PROGNAME).1 $(DESTDIR)/usr/man/man1/$(OTHERPROGNAME).1
-#	chmod 644 $(DESTDIR)/usr/man/man1/$(PROGNAME).1
-#	chmod 644 $(DESTDIR)/usr/man/man1/$(OTHERPROGNAME).1
+	cp $(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(PROGNAME)$(EXESUFFIX)
+	cp $(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(OTHERPROGNAME)$(EXESUFFIX)
+	chmod +x $(INSTALL)/bin/$(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(OTHERPROGNAME)$(EXESUFFIX)
+	strip $(INSTALL)/bin/$(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(OTHERPROGNAME)$(EXESUFFIX)
+	rm -f $(INSTALL)/man/man1/$(PROGNAME).1 ; cp $(PROGNAME).1 $(INSTALL)/man/man1
 
 uninstall:
-	rm -f $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME) $(DESTDIR)/usr/man/man8/$(PROGNAME).1
+	rm -f $(INSTALL)/bin/$(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(OTHERPROGNAME)$(EXESUFFIX) $(INSTALL)/man/man8/$(PROGNAME).1
 
 dist: $(PROGNAME)-$(VERSION).tar.gz
 
@@ -80,4 +110,4 @@
 	rm -rf $(PROGNAME)-$(VERSION)
 
 clean:
-	rm -f $(OBJECTS) $(PROGNAME) $(PROGNAME)-$(VERSION).tar.gz
+	rm -f $(OBJECTS) $(PROGNAME)$(EXESUFFIX) $(PROGNAME)-$(VERSION).tar.gz
